<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE generatorConfiguration
        PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"
        "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">

<generatorConfiguration>

    <context id="mysqlgenerator" targetRuntime="MyBatis3">
        <property name="autoDelimitKeywords" value="true"/>
        <!--可以使用``包括字段名，避免字段名与sql保留字冲突报错-->
        <property name="beginningDelimiter" value="`"/>
        <property name="endingDelimiter" value="`"/>

        <!-- 自动生成toString方法 -->
        <plugin type="org.mybatis.generator.plugins.ToStringPlugin"/>
        <!-- 自动生成equals方法和hashcode方法 -->
        <plugin type="org.mybatis.generator.plugins.EqualsHashCodePlugin"/>

        <!-- 非官方插件 https://github.com/itfsw/mybatis-generator-plugin -->
        <!-- 查询单条数据插件 -->
        <plugin type="com.itfsw.mybatis.generator.plugins.SelectOneByExamplePlugin"/>
        <!-- 查询结果选择性返回插件 -->
        <plugin type="com.itfsw.mybatis.generator.plugins.SelectSelectivePlugin"/>
        <!-- Example Criteria 增强插件 -->
        <plugin type="com.itfsw.mybatis.generator.plugins.ExampleEnhancedPlugin"/>
        <!-- 数据Model属性对应Column获取插件 -->
        <plugin type="com.itfsw.mybatis.generator.plugins.ModelColumnPlugin"/>
        <!-- 逻辑删除插件 -->
        <plugin type="com.itfsw.mybatis.generator.plugins.LogicalDeletePlugin">
            <!-- 这里配置的是全局逻辑删除列和逻辑删除值，当然在table中配置的值会覆盖该全局配置 -->
            <!-- 逻辑删除列类型只能为数字、字符串或者布尔类型 -->
            <property name="logicalDeleteColumn" value="deleted"/>
            <!-- 逻辑删除-已删除值 -->
            <property name="logicalDeleteValue" value="1"/>
            <!-- 逻辑删除-未删除值 -->
            <property name="logicalUnDeleteValue" value="0"/>
        </plugin>


        <!--  <plugin type="cc.bandaotixi.plugins.OneToOnePlugin"></plugin>

          <plugin type="cc.bandaotixi.plugins.OneToManyPlugin"></plugin>-->


       <commentGenerator>
           <property name="suppressDate" value="true"/>
           <!--<property name="suppressAllComments" value="true"/>-->
        </commentGenerator>

        <!--数据库连接信息-->
        <!-- <jdbcConnection driverClass="com.mysql.jdbc.Driver"
                        connectionURL="jdbc:mysql://127.0.0.1:3306/crm?useUnicode=true&amp;characterEncoding=UTF-8&amp;serverTimezone=UTC&amp;verifyServerCertificate=false&amp;useSSL=false"
                        userId="root"
                        password="password"/> -->
        <jdbcConnection driverClass="com.mysql.jdbc.Driver"
                        connectionURL="jdbc:mysql://101.133.147.194:3306/jlife_nurse?useUnicode=true&amp;characterEncoding=UTF-8&amp;serverTimezone=UTC&amp;verifyServerCertificate=false&amp;useSSL=false"
                        userId="root"
                        password="JINGZHI20191226=it"/>                

        <javaTypeResolver>
            <property name="useJSR310Types" value="true"/>
        </javaTypeResolver>

        <javaModelGenerator targetPackage="org.linlinjava.jz.db.domain" targetProject="src/main/java"/>
        <sqlMapGenerator targetPackage="org.linlinjava.jz.db.dao" targetProject="src/main/resources"/>
        <javaClientGenerator type="XMLMAPPER" targetPackage="org.linlinjava.jz.db.dao"
                             targetProject="src/main/java"/>
        <!--表名-->
        <!--客户亲情号码表-->
        <!-- <table tableName="customer_fn">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="jz_role">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
        <table tableName="jz_permission">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
        <table tableName="jz_log">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="jz_base">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="jz_faq">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="jz_faq_label">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="jz_faq_log">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="jz_faq_category">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="view_jz_faq">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->

       <!-- <table tableName="jz_built_list">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
<!-- 
        <table tableName="sys_city">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->


        <!--任务表-->
       <!--  <table tableName="jz_campaign">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
        <table tableName="jz_campaign_assigned_log">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="jz_campaign_assigned">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="jz_campaign_filter">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
            <columnOverride column="condition" javaType="java.lang.String[]"
                            typeHandler="org.linlinjava.jz.db.mybatis.JsonStringArrayTypeHandler"/>
        </table>

        <table tableName="jz_label_customer">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="jz_dm_channel">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="jz_dm_label">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="jz_dm_label_profile">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
            <columnOverride column="goods" javaType="java.lang.Integer[]"
                            typeHandler="org.linlinjava.jz.db.mybatis.JsonIntegerArrayTypeHandler"/>
        </table> -->
        <!--电访结果-->
        <!--<table tableName="jz_calllog">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="jz_calllog_consult">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!-- <table tableName="jz_calllog_record">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
        <table tableName="jz_call_config">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->

        <!--工单-->
      <!-- <table tableName="jz_ticket_action">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>  -->
<!--        <table tableName="jz_ticket">-->
<!--            <generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
<!--        </table>-->
 <!--
        <table tableName="jz_ticket_consult">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

         <table tableName="jz_ticket_relation">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        

        <table tableName="jz_dm_ticket_consult_type">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

        <table tableName="jz_dm_ticket_result">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>


        <table tableName="customer_client">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->
       <!--   <table tableName="customer_clue">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->

        <!--<table tableName="jz_ticket_order">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>


        <table tableName="sys_user">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
            <columnOverride column="role_ids" javaType="java.lang.Integer[]"
                            typeHandler="org.linlinjava.jz.db.mybatis.JsonIntegerArrayTypeHandler"/>
        </table>-->

       <!--  <table tableName="sys_user_online">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
        <table tableName="sys_user_rest">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->



        <!-- <table tableName="jz_shop">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

       <table tableName="jz_order">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

       <table tableName="jz_order_goods">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
            <columnOverride column="specifications" javaType="java.lang.String[]"
                            typeHandler="org.linlinjava.jz.db.mybatis.JsonStringArrayTypeHandler"/>
            <columnOverride column="comments" javaType="java.lang.Integer[]"
                            typeHandler="org.linlinjava.jz.db.mybatis.JsonIntegerArrayTypeHandler"/>

        </table>-->

        <!--用户技能组-->
       <!--  <table tableName="jz_skill_group">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
        <table tableName="jz_skill_group_user">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->

        <!--部门-->
      <!--   <table tableName="jz_department">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->

		<!-- 盒马小程序登录，三者关系 -->
	<!-- <table tableName="hm_app_user">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->
        
       <!--  <table tableName="hm_app_userlogin_log">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->
         
        <!-- <table tableName="hm_employ_relation">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->  
       <!--  <table tableName="hm_butler_task_parent">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->
        
        <!-- 管家拜访类任务 -->
       <!--   <table tableName="hm_butler_task_clock">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>   -->
       <!--  <table tableName="hm_butler_task_child">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>   -->
         <!--
         
        
          
         <table tableName="hm_butler_task_log">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
        
         <table tableName="hm_butler_task_parent">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
         -->
        <!--  <table tableName="hm_butler_task_dict">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->
        <!--  <table tableName="hm_butler_task_teach">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->
 
 
 
<!--        <table tableName="customer_order">-->
<!--            <generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
<!--        </table>-->
<!--        <table tableName="customer_order_charge">-->
<!--            <generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
<!--        </table>-->
<!--   <table tableName="contract_sub_template"> 
            <generatedKey column="id" sqlStatement="MySql" identity="true"/> 
     </table>   -->
 
        <!-- <table tableName="contract_master"> 
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>   -->
        <!-- <table tableName="hm_tasktime_config"> 
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->
        
        <!-- <table tableName="hm_employ_task">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->
        <!--  <table tableName="hm_employ_clock"> 
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->
<!--         <table tableName="hm_employ_clock"> -->
<!--            <generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
<!--        </table>-->
       <!-- 
        <table tableName="hm_employ_task"> 
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
        <table tableName="hm_employ_task_set"> 
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
        <table tableName="hm_task_category"> 
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
        <table tableName="hm_task_item"> 
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
        <table tableName="hm_task_question_log"> 
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->
        
        <!-- 通知 评论 -->
       <!--  <table tableName="hm_notice"> 
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->
          <!--  
         <table tableName="hm_notice_user"> 
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>
         <table tableName="hm_comment"> 
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>   -->

        <table tableName="contract_sub">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>

    </context>
</generatorConfiguration>